Subject: [Healeys] Clutch and Overdrive Repairs

From: Price Lindsay <[email-masked]>
Date: Wed, 16 Jul 2014 19:11:00 -0400

Listers -

Since Conclave 2014 I have spent time fixing several issues that crept up
during the trip up from FL. I have replaced the clutch, made some adjustments
to the transmission and repaired the OD.

I send this note to thank all that have provided or offered support. Without
this list I couldn't have done what I've done. A very special thank you needs
to be given to Steve Byers and Michael Salter for the tips given and the
support provided.

This list is fantastic!!

Price Lindsay
67 BJ8
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys